CRMchat APIBeta
Telegram APIMessages

messages.getInlineBotResults

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/messages.getInlineBotResults

Query an inline bot

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Query an inline bot

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/messages.getInlineBotResults" \  -H "Content-Type: application/json" \  -d '{    "params": {      "bot": {        "_": "inputUserEmpty"      },      "peer": {        "_": "inputPeerEmpty"      },      "query": "string",      "offset": "string"    }  }'
{  "result": {    "_": "messages.botResults",    "gallery": true,    "queryId": "string",    "nextOffset": "string",    "switchPm": {      "_": "inlineBotSwitchPM",      "text": "string",      "startParam": "string"    },    "switchWebview": {      "_": "inlineBotWebView",      "text": "string",      "url": "string"    },    "results": [      {        "_": "botInlineResult",        "id": "string",        "type": "string",        "title": "string",        "description": "string",        "url": "string",        "thumb": {          "_": "webDocument",          "url": "string",          "accessHash": "string",          "size": 0,          "mimeType": "string",          "attributes": [            {              "_": "documentAttributeImageSize",              "w": 0,              "h": 0            }          ]        },        "content": {          "_": "webDocument",          "url": "string",          "accessHash": "string",          "size": 0,          "mimeType": "string",          "attributes": [            {              "_": "documentAttributeImageSize",              "w": 0,              "h": 0            }          ]        },        "sendMessage": {          "_": "botInlineMessageMediaAuto",          "invertMedia": true,          "message": "string",          "entities": [            {              "_": "messageEntityUnknown",              "offset": 0,              "length": 0            }          ],          "replyMarkup": {            "_": "replyKeyboardHide",            "selective": true          }        }      }    ],    "cacheTime": 0,    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}